<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------+
| PolarFox aka Psc | http://unlogic.info
| User Control panel | Build: 2
+----------------------------------------------------*/
if (!defined('IN_FUSION')) { exit; }

require_once INFUSIONS.'uscon_panel/uscon_config.php';//conf path
if (file_exists(uscFOLDER.'locale/'.$settings['locale'].'.php')) {	
	include uscFOLDER.'locale/'.$settings['locale'].'.php';} 
else {
	include uscFOLDER.'locale/English.php';}

function usc_makelink($link,$name,$bd=true,$br=true){
	return THEME_BULLET.'&nbsp;<a href="'.($bd?BASEDIR:'').$link.'" class="side"'.
		('/'.$link==FUSION_REQUEST?' style="font-style:italic;"':'').
		' >'.$name.'</a>'.
		($br?'<br />':'');
}
function usc_maketbox($name,$capt,$type='text',$br=true){
	return '<label>'.$capt.
			'<br /><input type="'.$type.'" name="'.$name.'" class="textbox usc_tbox" />'.
			'</label>'.($br?'<br />':'');
}

if(function_exists('add_to_head')){	
	add_to_head('<link rel="stylesheet" href="'.uscFOLDER.'uscon.css" type="text/css" media="screen" />');
}

if (iMEMBER) {//usco for USER
	$msg_count = dbcount('(message_id)', DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");

	$t_unread=false;
	if(isset($_COOKIE['usc_data'])&&isnum($_COOKIE['usc_data'])){//parse data
		if($_COOKIE['usc_data'] < $msg_count){$t_unread=true;}//need msg?
	}
	if(!isset($_COOKIE['usc_data'])||!isnum($_COOKIE['usc_data'])||$_COOKIE['usc_data']!=$msg_count){
		setcookie('usc_data', $msg_count, (time() + 86400*7), '/', '', '0');//update msg count
	}
	
	if($t_unread){
		echo '<script type="text/javascript">//<![CDATA[
			if(confirm(\''.$locale['usc_ujspm'].'\')){
			window.location.href=\''.BASEDIR.'messages.php\';
			}
			//]]></script>';
	}
	
	openside($locale['usc_upname']);
		echo '<div class="usc_itshere"><div class="usc_minhead side-label"><span class="usc_metalink">'.$userdata['user_name'].'</span></div><div class="usc_imhere tbl-border tbl1">';
		if(isset($lastvisited)&&isnum($lastvisited)){
			echo '<i>'.THEME_BULLET.'&nbsp;'.showdate('shortdate', $lastvisited).'</i><hr />';
		}
		echo usc_makelink('index.php?logout=yes',$locale['usc_mll']);
		echo '</div></div>';
		
		if($sett_usc['avat_is']){
			if ($userdata['user_avatar']) {
				echo '<img id="usc_avat" alt="[Avatar]" src="'.IMAGES.'avatars/'.$userdata['user_avatar'].'" />';
			} 
			else if($sett_usc['avat_def']) {
				echo '<img id="usc_avat" alt="[none]" src="'.$sett_usc['avat_def'].'" />';
			}
		}
		
		 	
		//main links
		echo ($msg_count?'<b>':'').usc_makelink('messages.php',$locale['usc_mlpm'].($msg_count?' ['.$msg_count.']':'')).($msg_count?'</b>':'');
		echo usc_makelink('edit_profile.php',$locale['usc_mlup']);
		echo usc_makelink('profile.php?lookup='.$userdata['user_id'],$locale['usc_mlpl']);
		echo usc_makelink('members.php',$locale['usc_mlu']);	
		
		//admin links
		if (iADMIN && (iUSER_RIGHTS != '' || iUSER_RIGHTS != 'C')) {
			echo '<br /><div id="adm_nav">';
			echo usc_makelink(ADMIN.'index.php'.$aidlink,$locale['usc_alpl'],false);
			if ($subm_count = dbcount('(submit_id)', DB_SUBMISSIONS)) {
				echo '<strong>'.usc_makelink(ADMIN.'submissions.php'.$aidlink,sprintf($locale['usc_alns'], $subm_count),false).'</strong>';
			}
			echo '<input value="'.$locale['usc_abm'].'" class="button" onclick=\'jQuery("#adm_nav").fadeTo("fast",0.05);jQuery("#adm_nav").load("'.uscFOLDER.'uscon_parts.php?page=anav&amp;bd='.BASEDIR.'",function(){jQuery("#adm_nav").fadeTo("fast",1);});return false;\' type="button">';
			echo '</div>';
		}
		
		//user sumbit links
		echo '<br /><div class="usc_itshere"><div class="usc_minhead side-label"><span class="usc_metalink">'.$locale['usc_slttl'].'</span></div><div class="usc_imhere tbl-border tbl1">';
		echo usc_makelink('submit.php?stype=l',$locale['usc_sll']);
		echo usc_makelink('submit.php?stype=n',$locale['usc_sln']);
		echo usc_makelink('submit.php?stype=a',$locale['usc_sla']);
		echo usc_makelink('submit.php?stype=p',$locale['usc_slp']);
		echo usc_makelink('submit.php?stype=d',$locale['usc_sld']);
		echo '</div></div>';
		
		echo '<br />';//end
		
	closeside();
} else {
	if (!preg_match('/login.php/i',FUSION_SELF)) {
		$action_url = FUSION_SELF.(FUSION_QUERY ? '?'.FUSION_QUERY : '');
		if (isset($_GET['redirect']) && strstr($_GET['redirect'], '/')) {
			$action_url = cleanurl(urldecode($_GET['redirect']));
		}

		openside($locale['usc_gpname']);
			echo '<div style="text-align:center">';
			if($locale['usc_gi']){echo $locale['usc_gi'].'<hr />';}
			if($sett_usc['logintype']==1){				
				echo '<form name="loginform" method="post" action="'.$action_url.'">';
				echo usc_maketbox('user_name',$locale['usc_gtl']);
				echo usc_maketbox('user_pass',$locale['usc_gtp'],'password');
				echo '<label style="cursor:pointer;"><input type="checkbox" name="remember_me" value="y" style="vertical-align:middle;" />'.$locale['usc_gtr'].'</label><br />';
				echo '<input type="submit" name="login" title="'.$locale['usc_gtgo'].'" value="'.$locale['usc_gtgo'].'" id="usc_logbtn" /><br />';
				echo '</form>';	
			}
			else {
				echo usc_makelink('login.php',$locale['usc_gll']);
			}

			echo '<br /><div class="usc_itshere"><div class="usc_minhead side-label"><span class="usc_metalink">'.$locale['usc_gcli'].'</span></div><div class="usc_imhere tbl-border tbl1">';
			echo usc_makelink('lostpassword.php',$locale['usc_gllp']);
			if ($settings['enable_registration']) {
				echo '<hr />'.usc_makelink('register.php',$locale['usc_glr']);
			}
			echo '</div></div>';			

			echo '</div><br />';
		closeside();
	}
}
?>